| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
Gaudi ::Functional::details::MultiTransformerFilter< std::tuple< Out... >(const In &...), Traits_, true > Struct Template Referenceabstract

`#include <GaudiAlg/Transformer.h>`

Inheritance diagram for Gaudi ::Functional::details::MultiTransformerFilter< std::tuple< Out... >(const In &...), Traits_, true >:
[legend]
Collaboration diagram for Gaudi ::Functional::details::MultiTransformerFilter< std::tuple< Out... >(const In &...), Traits_, true >:
[legend]

## Public Member Functions
StatusCode | execute () override final
virtual std::tuple< bool, Out... > | operator() (const In &...) const =0

## Detailed Description

### template<typename... Out, typename... In, typename Traits_>
struct Gaudi ::Functional::details::MultiTransformerFilter< std::tuple< Out... >(const In &...), Traits_, true >

Definition at line 155 of file Transformer.h.

## Member Function Documentation

## ◆ execute()

template<typename... Out, typename... In, typename Traits_ >

StatusCode Gaudi ::Functional::details::MultiTransformerFilter< std::tuple< Out... >(const In &...), Traits_, true >::execute | ( |  | ) |
| inline final override

Definition at line 160 of file Transformer.h.

160 {
161 try {
162 std::apply(
163 [&]( auto&... ohandle ) {
164 std::apply(
165 [&ohandle..., this]( bool passed, auto&&... data ) {
166 this->setFilterPassed( passed );
167 ( details::put( ohandle, std::forward<decltype( data )>( data ) ), ... );
168 },
169 details::filter_evtcontext_t<In...>::apply( *this, this->m_inputs ) );
170 },
171 this->m_outputs );
172 return StatusCode::SUCCESS;
173 } catch ( GaudiException& e ) {
174 ( e.code() ? this->warning() : this->error() ) << e.message() << endmsg;
175 return e.code();
176 }
177 }
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:21
StatusCode::SUCCESS
constexpr static const auto SUCCESS
Definition: StatusCode.h:85
GaudiException::code
virtual const StatusCode & code() const
StatusCode for Exception.
Definition: GaudiException.h:76
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## ◆ operator()()

template<typename... Out, typename... In, typename Traits_ >

virtual std::tuple<bool, Out...> Gaudi ::Functional::details::MultiTransformerFilter< std::tuple< Out... >(const In &...), Traits_, true >::operator() | ( | const In & | ... | ) | const
| pure virtual

The documentation for this struct was generated from the following file:

- GaudiAlg/GaudiAlg/Transformer.h